#!/bin/sh

LED_CLASS_PATH=/sys/class/leds/

led_control() {
	local LED=$1
	local MODE=$2
	local INTERVAL=250
	if [ ${MODE} -eq 0 ]; then
		echo none > ${LED_CLASS_PATH}/${LED}/trigger
		echo 0 > ${LED_CLASS_PATH}/${LED}/brightness
	elif [ ${MODE} -eq 1 ]; then
		echo none > ${LED_CLASS_PATH}/${LED}/trigger
		echo 1 > ${LED_CLASS_PATH}/${LED}/brightness
	else
		echo timer > ${LED_CLASS_PATH}/${LED}/trigger
		echo ${INTERVAL} > ${LED_CLASS_PATH}/${LED}/delay_off
		echo ${INTERVAL} > ${LED_CLASS_PATH}/${LED}/delay_on
	fi
}

led_set() {
	led_control led4 $1
	led_control led3 $2
	led_control led5 $3
}

infinite_loop()
{
	while true;
	do
		sleep 1
	done
}

progress_running() {
	led_set 1 2 0
}

progress_ok() {
	led_set 1 1 1
	infinite_loop
}

progress_ng() {
	led_set 2 2 2
	infinite_loop
}
